/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2020-11-06
 * Changed:         2026-06-23
 *
 * */

#include <iostream>
#include <ls-std/io/StandardOutputWriter.hpp>

using ls::standard::core::type::byte_field;
using ls::standard::io::StandardOutputWriter;
using std::cout;

StandardOutputWriter::StandardOutputWriter() = default;

StandardOutputWriter::~StandardOutputWriter() noexcept = default;

bool StandardOutputWriter::write(const byte_field &_data)
{
  cout << _data;
  return !cout.fail();
}
